##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (Sounds)		= PkgName (not the PkgFileName)
# sampledir (ksm-sounds)	= pkg-dirname (under /usr/local/ = ksm-xxx)
# sampleconf (sampleconf)	= config file name (no path, no extension)
# sampled (sampled)		= the daemon (rc-script, rc-link, script.sh, systemd.service)
# ksm-sample (ksm-sample)	= special name starting with 'ksm-'
# sample (sample)		= all others (xxx, togglexxx)
##############################################################################

# Specfile for Sounds

%define name		ksm-sounds
%define version		0.0.1
%define release		2.1.0
%define _arch		noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _sysddir	/etc/systemd/system
%define _uxbindir	/usr/bin
%define _uxsbindir	/usr/sbin
%define _bindir		/usr/local/bin
%define _sbindir	/usr/local/sbin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _datadir1	/usr/local/share/%{name}/sf2
%define _datadir2	/usr/local/share/%{name}/KDE
%define _datadir3	/usr/local/share/%{name}/libreoffice
%define _datadir4	/usr/local/share/%{name}/alsa
%define _datadir5	/usr/local/share/%{name}/bzflag
%define _datadir6	/usr/local/share/%{name}/freebasic
%define _datadir7	/usr/local/share/%{name}/gnubg
%define _datadir8	/usr/local/share/%{name}/granatier
%define _datadir9	/usr/local/share/%{name}/k3b
%define _datadir10	/usr/local/share/%{name}/knetwalk
%define _datadir11	/usr/local/share/%{name}/korganizer
%define _datadir12	/usr/local/share/%{name}/linphone
%define _datadir13	/usr/local/share/%{name}/selfhtml
%define _datadir14	/usr/local/share/%{name}/xboard
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Sounds files collection
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Multimedia/Sound/Data
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	ksm-lib-sh >= 0.0.1-0.0.0
#Provides:	sampled
#Conflicts:	sampled-other,libsample == 0.0.0
#Obsoletes:	mysampled

%description
This package contains a collection of sound files.
You can use it e.g. for signaling system alerts.

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/sample.conf
#%config %{_confdir}/sample.conf
#%config %{_scnfdir}/sample
#%attr(644,root,root)%{_confdir}/sample.conf
#%attr(644,root,root)%{_scnfdir}/sample

#%attr(744,root,root)%{_rcdir}/sampled
#%attr(777,root,root)%{_bindir}/rcsampled

#%attr(755,root,root)%{_bindir}/sample

%{_datadir}/RELEASE
%{_datadir}/VERSION

%{_datadir1}/synthgm.sbk

%{_datadir2}/KDE_Beep_Ahem.wav
%{_datadir2}/KDE_Beep_Beep.wav
%{_datadir2}/KDE_Beep_Bottles.wav
%{_datadir2}/KDE_Beep_ClassicBeep.wav
%{_datadir2}/KDE_Beep_ClockChime.wav
%{_datadir2}/KDE_Beep_Connect.wav
%{_datadir2}/KDE_Beep_Door.wav
%{_datadir2}/KDE_Beep_Honk.wav
%{_datadir2}/KDE_Beep_Lightning.wav
%{_datadir2}/KDE_Beep_Pop.wav
%{_datadir2}/KDE_Beep_RimShot.wav
%{_datadir2}/KDE_Beep_RingRing.wav
%{_datadir2}/KDE_Beep_ShortBeep.wav
%{_datadir2}/KDE_Beep_Yo.wav
%{_datadir2}/KDE_Click.wav
%{_datadir2}/KDE_Close_Window.wav
%{_datadir2}/KDE_Critical_Error.wav
%{_datadir2}/KDE_Desktop1.wav
%{_datadir2}/KDE_Desktop2.wav
%{_datadir2}/KDE_Desktop3.wav
%{_datadir2}/KDE_Desktop4.wav
%{_datadir2}/KDE_Desktop5.wav
%{_datadir2}/KDE_Desktop6.wav
%{_datadir2}/KDE_Desktop7.wav
%{_datadir2}/KDE_Desktop8.wav
%{_datadir2}/KDE_Dialog_Appear.wav
%{_datadir2}/KDE_Dialog_Disappear.wav
%{_datadir2}/KDE_Error.wav
%{_datadir2}/KDE_Logout.wav
%{_datadir2}/KDE_Notify.wav
%{_datadir2}/KDE_Startup.wav
%{_datadir2}/KDE_Window_Close.wav
%{_datadir2}/KDE_Window_DeIconify.wav
%{_datadir2}/KDE_Window_Iconify.wav
%{_datadir2}/KDE_Window_Maximize.wav
%{_datadir2}/KDE_Window_Open.wav
%{_datadir2}/KDE_Window_Shade_Down.wav
%{_datadir2}/KDE_Window_Shade_Up.wav
%{_datadir2}/KDE_Window_Sticky.wav
%{_datadir2}/KDE_Window_UnMaximize.wav
%{_datadir2}/KDE_Window_UnSticky.wav
%{_datadir2}/pop.wav

%{_datadir3}/apert.wav
%{_datadir3}/apert2.wav
%{_datadir3}/applause.wav
%{_datadir3}/beam.wav
%{_datadir3}/beam2.wav
%{_datadir3}/cow.wav
%{_datadir3}/curve.wav
%{_datadir3}/drama.wav
%{_datadir3}/explos.wav
%{_datadir3}/falling.wav
%{_datadir3}/glasses.wav
%{_datadir3}/gong.wav
%{_datadir3}/horse.wav
%{_datadir3}/kling.wav
%{_datadir3}/kongas.wav
%{_datadir3}/laser.wav
%{_datadir3}/left.wav
%{_datadir3}/nature1.wav
%{_datadir3}/nature2.wav
%{_datadir3}/ok.wav
%{_datadir3}/pluck.wav
%{_datadir3}/roll.wav
%{_datadir3}/romans.wav
%{_datadir3}/soft.wav
%{_datadir3}/space.wav
%{_datadir3}/space2.wav
%{_datadir3}/space3.wav
%{_datadir3}/sparcle.wav
%{_datadir3}/strom.wav
%{_datadir3}/theetone.wav
%{_datadir3}/top.wav
%{_datadir3}/train.wav
%{_datadir3}/untie.wav
%{_datadir3}/ups.wav
%{_datadir3}/wallewal.wav

%{_datadir4}/test.wav

%{_datadir5}/flag_alert.wav
%{_datadir5}/phantom.wav
%{_datadir5}/pop.wav

%{_datadir6}/Shot.wav

%{_datadir7}/chequer.wav
%{_datadir7}/dance.wav
%{_datadir7}/double.wav
%{_datadir7}/drop.wav
%{_datadir7}/fanfare.wav
%{_datadir7}/gameover.wav
%{_datadir7}/haere-ra.wav
%{_datadir7}/matchover.wav
%{_datadir7}/move.wav
%{_datadir7}/resign.wav
%{_datadir7}/roll.wav
%{_datadir7}/take.wav

%{_datadir8}/joint.wav

%{_datadir9}/k3b_error1.wav
%{_datadir9}/k3b_success1.wav
%{_datadir9}/k3b_wait_media1.wav

%{_datadir10}/win.wav

%{_datadir11}/alert.wav

%{_datadir12}/bigben.wav
%{_datadir12}/sweet.wav

%{_datadir13}/yippee.wav

%{_datadir14}/roar.wav

#/usr/share/applications/sample.desktop
#%{_icondir}/16x16/apps/sample.png
#%{_icondir}/22x22/apps/sample.png
#%{_icondir}/32x32/apps/sample.png
#%{_icondir}/48x48/apps/sample.png
#%{_icondir}/64x64/apps/sample.png
#%{_icondir}/128x128/apps/sample.png
#/usr/share/pixmaps/sample.png

#%docdir %{_man1dir}
#%{_man1dir}/sample.1.gz

#%docdir %{_man8dir}
#%{_man8dir}/sampled.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#%{_docdir}/README.de

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

#ret=0

# backup config files
#test -e %{_confdir}/sampleconf.conf && cp %{_confdir}/sampleconf.conf %{_confdir}/sampleconf.conf.rpmsave
#test -e %{_scnfdir}/sampleconf && cp %{_scnfdir}/sampleconf %{_scnfdir}/sampleconf.rpmsave

# disable sample daemon and stop sampled
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop -q > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
#xdg-desktop-menu uninstall \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	if [ -e %{_sysddir}/sampled.service ]; then
#		systemctl stop sampled.service
#		systemctl disable sampled.service
#		rm %{_sysddir}/sampled.service
#		systemctl daemon-reload
#	fi
#else							# SysV init
#	test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1
#	insserv -r sampled > /dev/null 2>&1
#	rm -f %{_rcdir}/sampled
#	rm -f %{_sbindir}/rcsampled
#fi

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname and all config vars from new config file
#cf=%{_confdir}/sampleconf.conf
#cnfvars='MyVar1 MyVar2'

#c='' s='' t='' cnt=0 i=0 ret=0

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

# INIT SCRIPT/SYSTEMD UNIT - install samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	cp --preserve=mode %{_datadir}/sampled.service %{_sysddir}/
#	systemctl daemon-reload
#	systemctl enable sampled.service
#	echo "sampled is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampled within yast or manual with:"
#	echo "systemctl start sampled.service"
#else							# SysV init
#	cp --preserve=mode %{_datadir}/sampled.rc %{_rcdir}/sampled
#	ln -sf %{_rcdir}/sampled %{_sbindir}/rcsampled
#	insserv sampled > /dev/null 2>&1
#	echo "sampled is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampled within yast or manual with rcsampled start"
#fi

#if [ "$1" == 1 ]; then					# install package
#	echo "Configure $cf"
#	echo "Users must create HOME/.samplerc with update-sample"
#else							# upgrade package
#	# update global conf
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#
#		# update conf vars START -------------------------------------
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#		# update conf vars STOP --------------------------------------
#
#		# update array vars START ------------------------------------
#		# array var MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------
#
#		# compare new conf vars <--> old conf vars
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi
#
#	echo "If new version then users must update HOME/.samplerc with update-sample"
#fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

#if [ "$1" == 0 ]; then					# remove package
	# backup config files
	#test -e %{_confdir}/sampleconf.conf && cp %{_confdir}/sampleconf.conf %{_confdir}/sampleconf.conf.rpmsave
	#test -e %{_scnfdir}/sampleconf && cp %{_scnfdir}/sampleconf %{_scnfdir}/sampleconf.rpmsave

	# disable sample daemon and stop sampled
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/sample.directory \
	#	/usr/share/applications/sample.desktop \
	#	/usr/share/applications/sample-admin.desktop

	# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
	#if [ -d %{_sysddir} ]; then				# systemd
	#	if [ -e %{_sysddir}/sampled.service ]; then
	#		systemctl stop sampled.service
	#		systemctl disable sampled.service
	#		rm %{_sysddir}/sampled.service
	#		systemctl daemon-reload
	#	fi
	#else							# SysV init
	#	test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1
	#	insserv -r sampled > /dev/null 2>&1
	#	rm -f %{_rcdir}/sampled
	#	rm -f %{_sbindir}/rcsampled
	#fi
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/sampledir
#else							# upgrade package
fi
exit 0

%changelog
* Tue Jan 28 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.1-2.1.0
- Added wav files from different sources.

* Mon Jan 27 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.1-2.0.0
- Added wav files from different sources.

* Thu Oct 16 2014 Repomaster <repomaster@kaesmann-online.de> 0.0.1-1.0.1
- The docu of the package has been revised.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 0.0.1-1.0.0
- Added sounds from libreoffice.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 0.0.1-0.0.0
- The release naming scheme has changed ('.ksm' is removed).

* Sun Jul 10 2011 Juergen Kaesmann <juergen@kaesman.de> 0.0.1-0.0.0.ksm
- The package has been revised and released for download.

* Sun Jul 10 2011 Juergen Kaesmann <juergen@kaesman.de> 0.0.0-0.0.0.ksm
- The 1. version which has been developed.
